# Run tests in check section
%bcond_without check

# https://github.com/rogpeppe/fastuuid
%global goipath         github.com/rogpeppe/fastuuid
Version:                1.0.0

%global common_description %{expand:
Package fastuuid provides fast UUID generation of 192 bit universally unique
identifiers. It does not provide formatting or parsing of the identifiers
(it is assumed that a simple hexadecimal or base64 representation is
sufficient, for which adequate functionality exists elsewhere).}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Fast generation of 192-bit UUIDs 
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- First package for Fedora

